#include "Framebuffer.h"
#include "Init.h"
#include "arch/MMU.h"
#include "arch/Serial.h"

extern u8 fb[1];

extern "C" void _start()
{
    Init::check_magic();
    Init::early_init();

    Serial::println("Hello, world!");

    Framebuffer::rect(0, 0, 200, 200, 0xFF00FF00);

    Serial::println(MMU::get_physical((u64)fb).has_error() ? "fb is not mapped" : "fb is mapped!!");

    for (;;)
        ;
}